bounds.sse {bio3d} | R Documentation

## Obtain A SSE Object From An SSE Sequence Vector

### Description

Inverse process of the funciton `pdb2sse`.

### Usage

    bounds.sse(x, pdb = NULL)

### Arguments

`x` | a character vector indicating SSE for each amino acid residue.
`pdb` | an object of class `pdb` as obtained from function `read.pdb`. Can be ignored if `x` has 'names' attribute for residue labels.

### Details

call for its effects.

### Value

a 'sse' object.

### Note

In both `$helix` and `$sheet`, an additional `$id` component is added to indicate the original numbering of the sse. This is particularly useful in e.g. `trim.pdb()` function.

### Author(s)

Xin-Qiu Yao & Barry Grant

### See Also

`pdb2sse`

### Examples

       # PDB server connection required - testing excluded

       pdb <- read.pdb("1a7l")
       sse <- pdb2sse(pdb)
       sse.ind <- bounds.sse(sse)
       sse.ind

[Package bio3d version 2.3-4 Index]